#powerup text

const powerup_names=["Dribble","Bullet Time","Freeze","Vuvuzelas","Super Ball"]
const powerup_descriptions=["EVADE ENEMIES LIKE MESSI","EVADE ENEMIES IN SLOW MOTION","FREEZE ENEMIES WITH COLD WIND","CONFUSE ENEMIES WITH VUVUZELAS","TURN THEM INTO COSPELS"]

# stuff that can be unlocked per level

const powerup_1_unlock_level = 1
const powerup_2_unlock_level = 10
const powerup_3_unlock_level = 20
const powerup_4_unlock_level = 30
const powerup_5_unlock_level = 40
const training_mode_unlock_level = 5 
const challenge_mode_unlock_level = 12

#coin worth

const coin_value = 1

#prices


const powerup_1_price = 1000
const powerup_2_price = 1100
const powerup_3_price = 1200
const powerup_4_price = 1300
const powerup_5_price = 1500

const powerup_1_upgrade_1_price = 10000
const powerup_1_upgrade_2_price = 30000
const powerup_1_upgrade_3_price = 1000000

const powerup_2_upgrade_1_price = 11000
const powerup_2_upgrade_2_price = 33000
const powerup_2_upgrade_3_price = 1000000

const powerup_3_upgrade_1_price = 12000
const powerup_3_upgrade_2_price = 36000
const powerup_3_upgrade_3_price = 1000000

const powerup_4_upgrade_1_price = 13000
const powerup_4_upgrade_2_price = 40000
const powerup_4_upgrade_3_price = 1000000

const powerup_5_upgrade_1_price = 15000
const powerup_5_upgrade_2_price = 45000
const powerup_5_upgrade_3_price = 1000000


#coin packs

const coin_pack_1_amount = 10000
const coin_pack_2_amount = 22000
const coin_pack_3_amount = 60000
const coin_pack_4_amount = 125000
const coin_pack_5_amount = 300000

#cheat

const cheats_enabled = true # false para deshabilitar

# challenge enable scenarios and opponents

const challenge_opponent_1_level = 0
const challenge_opponent_2_level = 3
const challenge_opponent_3_level = 7
const challenge_opponent_4_level = 10
const challenge_opponent_5_level = 14
const challenge_opponent_6_level = 18

const challenge_scenario_1_level = 0
const challenge_scenario_2_level = 3
const challenge_scenario_3_level = 7
const challenge_scenario_4_level = 10
const challenge_scenario_5_level = 14
const challenge_scenario_6_level = 18


#mode unlock

const training_mode_unlock_level = 2
const challenge_mode_unlock_level = 3

#training mode prices

const training_mode_multiply_x3_price = 25
const training_mode_multiply_x5_price = 50
const training_mode_multiply_x7_price = 75

#features

const features = {
	"powerup_unlock": -1,
	"challenge_unlock": -1,
}

#packages

const packages = {
	"coins1": [10000],
	"coins2": [22000],
	"coins3": [60000],
	"coins4": [125000],
	"coins5": [300000],
	"package1": [10000, "powerup_unlock"],
	"package2": [125000, "challenge_unlock"],
}

const package_prices = {

	"Android": {},
}


const package_providers = {
	"iOS": {
		"coins1": ["foosball_gc_coins1t1", "foosball_gc_coins1t2", "foosball_gc_coins1t3", "foosball_gc_coins1t4", "foosball_gc_coins1t5", "foosball_gc_coins1t6", "foosball_gc_coins1t7", "foosball_gc_coins1t8", "foosball_gc_coins1t9", "foosball_gc_coins1t10"],
		"coins2": ["foosball_gc_coins2t1", "foosball_gc_coins2t2", "foosball_gc_coins2t3", "foosball_gc_coins2t4", "foosball_gc_coins2t5", "foosball_gc_coins2t6", "foosball_gc_coins2t7", "foosball_gc_coins2t8", "foosball_gc_coins2t9", "foosball_gc_coins2t10"],
		"coins3": ["foosball_gc_coins3t1", "foosball_gc_coins3t2", "foosball_gc_coins3t3", "foosball_gc_coins3t4", "foosball_gc_coins3t5", "foosball_gc_coins3t6", "foosball_gc_coins3t7", "foosball_gc_coins3t8", "foosball_gc_coins3t9", "foosball_gc_coins3t10"],
		"coins4": ["foosball_gc_coins4t1", "foosball_gc_coins4t2", "foosball_gc_coins4t3", "foosball_gc_coins4t4", "foosball_gc_coins4t5", "foosball_gc_coins4t6", "foosball_gc_coins4t7", "foosball_gc_coins4t8", "foosball_gc_coins4t9", "foosball_gc_coins4t10"],
		"coins5": ["foosball_gc_coins5t1", "foosball_gc_coins5t2", "foosball_gc_coins5t3", "foosball_gc_coins5t4", "foosball_gc_coins5t5", "foosball_gc_coins5t6", "foosball_gc_coins5t7", "foosball_gc_coins5t8", "foosball_gc_coins5t9", "foosball_gc_coins5t10"],
		"package1": ["foosball_gc_package1"],
		"package2": ["foosball_gc_package2"],
	},
	"Android": {
		"coins1": ["coins1t1", "coins1t2", "coins1t3", "coins1t4", "coins1t5", "coins1t6", "coins1t7", "coins1t8", "coins1t9", "coins1t10"],
		"coins2": ["coins2t1", "coins2t2", "coins2t3", "coins2t4", "coins2t5", "coins2t6", "coins2t7", "coins2t8", "coins2t9", "coins2t10"],
		"coins3": ["coins3t1", "coins3t2", "coins3t3", "coins3t4", "coins3t5", "coins3t6", "coins3t7", "coins3t8", "coins3t9", "coins3t10"],
		"coins4": ["coins4t1", "coins4t2", "coins4t3", "coins4t4", "coins4t5", "coins4t6", "coins4t7", "coins4t8", "coins4t9", "coins4t10"],
		"coins5": ["coins5t1", "coins5t2", "coins5t3", "coins5t4", "coins5t5", "coins5t6", "coins5t7", "coins5t8", "coins5t9", "coins5t10"],
		"package1": ["package1"],
		"package2": ["package2"],
	},
	"QNX": {
		"coins1": ["34079889", "34079890", "34079892", "34079894", "34079895", "34079896", "34079897", "34079899", "34079900", "34079901"],
		"coins2": ["34079902", "34079903", "34079906", "34080887", "34080888", "34080889", "34080890", "34080891", "34080892", "34080893"],
		"coins3": ["34080894", "34080897", "34080898", "34080899", "34080900", "34080901", "34080902", "34080903", "34080904", "34080905"],
		"coins4": ["34080908", "34080909", "34080910", "34080911", "34080912", "34080913", "34080914", "34080915", "34080916", "34080917"],
		"coins5": ["34080919", "34080920", "34080921", "34080922", "34080923", "34080924", "34081888", "34081889", "34081890", "34081892"],
		"package1": ["34081893"],
		"package2": ["34081895"],
	},
}

