
var game
var last_hbox
var vbox
var gear_up

func load_level(n):
	Globals.set("current_level", { "type": "level", "level": n } )
	#get_scene().call_group(0, "global", "change_scene", "res://screens/pre_game.xml")
	get_scene().call_group(0, "global", "change_scene", "res://match/match.xml")

func back():
	get_scene().call_group(0, "global", "change_scene", "res://screens/main.xml")

func add_button(name, idx):

	if !last_hbox || last_hbox.get_child_count() > 4:
		last_hbox = HBoxContainer.new()
		vbox.add_child(last_hbox)

	var cont = EmptyControl.new()
	cont.set_minsize(Vector2(180, 100))
	cont.set_stop_mouse(false)
	last_hbox.add_child(cont)

	var but = Button.new()
	but.set_size(Vector2(160, 90))
	but.set_text(name.basename().get_file())
	but.set_stop_mouse(false)
	cont.add_child(but)
	but.connect("pressed", self, "load_level", [idx])

func gear_up_done():
	show()
	gear_up.queue_free()

func gear_up_cancel():
	printt("gear up cancel!")
	show()
	gear_up.queue_free()

func _ready():

	vbox = get_node("scroll/vbox")
	game = get_scene().get_root().get_node("gamestate")
	var i = 0
	for l in game.levels:
		add_button(l, i)
		i += 1

	get_node("main").connect("pressed", self, "back")

	#if !game.get_value("saw_items"):
	#	game.set_value("saw_items", true)
	#	gear_up = preload("res://screens/gear_up.xml").instance()
	#	hide()
	#	get_scene().get_root().add_child(gear_up)

	add_to_group("gear_up_actions")

