
extends TextureFrame

# member variables here, example:
# var a=2
# var b="textvar"

var ril=null

var TMAX=150
var skip=2

var char_show=0

func _process(delta):

	if (skip):
		skip-=1
		return
	var t = OS.get_ticks_msec()
		
	while(OS.get_ticks_msec() < t + TMAX):
		var res = ril.poll()
		if (res==ERR_FILE_EOF):
			set_process(false)
			emit_signal("loaded",[ril.get_resource()])
			ril=null
			#hide()
			get_node("anim").play("fadeout")
			break			
		else:
			assert( res==OK )
			get_node("progress").set_value( ril.get_stage() )

func load_scene(path):

	char_show+=1
	for i in range(3):
		if (char_show%3 == i):
			get_node("progress/char_"+str(i+1)).show()
		else:
			get_node("progress/char_"+str(i+1)).hide()
	
	ril = ResourceLoader.load_interactive(path)
	assert( ril != null )
	get_node("progress").set_max( ril.get_stage_count() )
	get_node("progress").set_value(0)
	set_process(true)
	raise()
	get_node("anim").stop()
	show()
	set_opacity(1.0)
	skip=2


func _init():
	# Initalization here
	add_user_signal("loaded")
	pass


