export var speed = 1000.0
export var show_multiplier = 1.0

var game = null

var number = 0
var current = 0

func set_number(n):
	number = n
	set_process(true)

func force_number(n):
	number = n
	current = n
	update_number()

func update_number():
	if (game and game.get_value("noblex_mode")):
		set_text(tr("MODE_INFINITE"))
	else:
		set_text(str(floor(current)))

func _process(time):
	var dir = 1
	if current > number:
		dir = -1

	var step = time * speed
	var dif = abs(number - current)
	if step > dif:
		current = number
		set_process(false)
	else:
		current = current + step * dir

	update_number()

func _enter_scene():
	game = get_scene().get_root().get_node("gamestate")
	update_number()
	
