
extends TextureFrame

var game
# member variables here, example:
# var a=2
# var b="textvar"

func _lang_select(lang):
	print("LANG: ",lang)
	TranslationServer.set_locale(lang)
	game.set_value("language",lang)
	game.save()
	get_scene().call_group(0, "global", "change_scene", "res://screens/main.xml")
	
func _on_back_pressed():
	get_scene().call_group(0, "global", "change_scene", "res://screens/main.xml")

func _ready():

	game = get_scene().get_root().get_node("gamestate")

	for c in get_node("lang").get_children():
		c.connect("pressed",self,"_lang_select",[c.get_name()])
	# Initalization here
	pass




