

var Achievements = preload("res://config/achievements.gd")
var game
var Scoreloop
var GameCenter = null
var config = preload("res://config/game_config.gd")

var gear_up
var store

class DialogQueue:
	var title=""
	var subtitle=""
	var text=""
	var icon=null
	
	
var dialog_queue=[]


func _process_dialog_queue():

	if (dialog_queue.empty()):
		get_node("anim").play("appear")
	else:
		var dq = dialog_queue[0]
		dialog_queue.remove(0)
		get_node("/root/global").popup_dialog(dq.title,dq.subtitle,dq.text,dq.icon,self,"_process_dialog_queue")
		get_node("sfx").play("achievement")
	

var camnode=null

func activate(cam):
	camnode=cam
	get_node("pause").start()


func do_achievement(which):
	game.unlock_achievement(which)
	var dq = DialogQueue.new()
	dq.title=tr("ACHIEVEMENT_UNLOCKED")
	dq.subtitle="#"+str(int(which+1))#tr("ACHIEVEMENT_TITLE_"+str(which+1))
	dq.text=tr("ACHIEVEMENT_DESCRIPTION_"+str(which+1))
	dq.icon=preload("res://screens/achievements/coin_achievements.png")
	dialog_queue.push_back(dq)
		

func activate2():

	if !Globals.has("current_level"):
		return

	var cl = Globals.get("current_level")
	
	var used_dialog=false

	
		
				
	if cl.type == "level":
		var next_level 
		var unlocked_pu = -1
		if (game.result.win):
			next_level = cl.level + 1

			for i in range(6):
				var ul = config.get("powerup_"+str(i+1)+"_unlock_level")				
				print("ul ",i,": ",ul,". next level: ",next_level)
				if (ul==next_level and not game.get_value("noblex_mode")):
					unlocked_pu=i
					break
					
			#achievements
		
			if (1):
				var a = game.get_value("achievements")
				if (not a[Achievements.ACH_COLLECT_X_COINTS] and game.result.cospels>=Achievements.collect_x_coin_amount):
					do_achievement(Achievements.ACH_COLLECT_X_COINTS)
				if (not a[Achievements.ACH_X_PASSES] and game.result.passes==Achievements.x_passes):
					do_achievement(Achievements.ACH_X_PASSES)
				if (not a[Achievements.ACH_COMPLETE_X_LEVELS] and next_level==Achievements.x_levels):
					do_achievement(Achievements.ACH_COMPLETE_X_LEVELS)
				if (not a[Achievements.ACH_COMPLETE_X_LEVELS2] and next_level==Achievements.x_levels2):
					do_achievement(Achievements.ACH_COMPLETE_X_LEVELS2)
				if (not a[Achievements.ACH_UNLOCK_ALL_CHALLENGE] and next_level==config.challenge_scenario_6_level):
					do_achievement(Achievements.ACH_UNLOCK_ALL_CHALLENGE)
					
					
				if (not a[Achievements.ACH_COMPLETE_EASY_CAMPAIGN] and next_level==Achievements.easy_completed_level):
					do_achievement(Achievements.ACH_COMPLETE_EASY_CAMPAIGN)
				print("NEXT LEVEL IS: ",next_level)
				if (not a[Achievements.ACH_BETO_MODE] and next_level==39):
					do_achievement(Achievements.ACH_BETO_MODE)
								
					
				if (not a[Achievements.ACH_COMPLETE_GAME] and next_level==game.levels.size()):
					do_achievement(Achievements.ACH_COMPLETE_BONUS)
					do_achievement(Achievements.ACH_COMPLETE_GAME)
					var pu_used = false
					for p in game.get_value("powerup_status"):
						if (p!=-1):
							pu_used=true
					do_achievement(Achievements.ACH_COMPLETE_GAME_WITHOUT_POWERUPS)
					
				if (not a[Achievements.ACH_X_WINS_IN_A_ROW]):
				
					var wiar = game.get_value("wins_in_a_row")
					wiar+=1
					game.set_value("wins_in_a_row",wiar)
					if (wiar>=Achievements.x_wins_in_a_row):
						do_achievement(Achievements.ACH_X_WINS_IN_A_ROW)
						
						
					
			Flurry.log_event("PG_WIN_LEVEL",{"level":cl.level})
			
		else:

			if (1):
				var a = game.get_value("achievements")
				if (not a[Achievements.ACH_X_WINS_IN_A_ROW]):
					game.set_value("wins_in_a_row",0)
				if (not a[Achievements.ACH_GOALKEEPER_LOST] and game.result.goalkeeped):
					do_achievement(Achievements.ACH_GOALKEEPER_LOST)
					
			
			Flurry.log_event("PG_LOSE_LEVEL",{"level":cl.level})
			next_level = cl.level
			
		game.set_value("unlocked_level", next_level)
		
		
		
		#unlocked_pu=3
		
		if (unlocked_pu!=-1):
			var pu_icons=["extraball","slowmo","frozen","vuvuzela","superball"]
			var pu = ResourceLoader.load("res://match/icons/icon_"+pu_icons[unlocked_pu]+".png")
#			get_node("/root/global").popup_dialog("merry xmas","to you","from santa",null)
			var dq = DialogQueue.new()
			dq.title=tr("NOTIFICATION_PU")
			dq.subtitle=tr("POWERUP_")+str(unlocked_pu+1)
			dq.text=tr("POWERUP_DESCRIPTION_")+str(unlocked_pu+1)
			dq.icon=pu
			dialog_queue.push_back(dq)
			var a = game.get_value("achievements")			
			if (not a[Achievements.ACH_ALL_POWERUP_UNLOCK] and unlocked_pu==5):
				do_achievement(Achievements.ACH_ALL_POWERUP_UNLOCK)
			
			

		if (game.result.win):
			if (config.training_mode_unlock_level==next_level):
				var dq = DialogQueue.new()
				dq.title=tr("NOTIFICATION_NEW_MODE")
				dq.subtitle=tr("NOTIFICATION_TRAINING")
				dq.text=tr("NOTIFICATION_TRAINING_DESCRIPTION")
				dq.icon=preload("res://screens/main_screen/training_main.png")
				dialog_queue.push_back(dq)
				
			if (config.challenge_mode_unlock_level==next_level):
				var dq = DialogQueue.new()
				dq.title=tr("NOTIFICATION_NEW_MODE")
				dq.subtitle=tr("NOTIFICATION_CHALLENGE")
				dq.text=tr("NOTIFICATION_CHALLENGE_DESCRIPTION")
				dq.icon=preload("res://screens/main_screen/challenge_main.png")
				dialog_queue.push_back(dq)
				
			
	if cl.type == "endless":
	
	
		if (game.result.win):
			var hs_max = game.get_value("training_high_score")
			var m = int( game.result.meters )
			if (m > hs_max):
				game.set_value("training_high_score",m)
				var dq = DialogQueue.new()
				dq.title=tr("TRAINING_CONGRATS")
				dq.subtitle=tr("TRAINING_HIGH_SCORE")
				dq.text=str(m)+" "+tr("TRAINING_METRES")
				dq.icon=preload("res://screens/hints/cup.png")
				dialog_queue.push_back(dq)
				_submit_score(m)
				
			if (1):
				var a = game.get_value("achievements")
				if (not a[Achievements.ACH_COLLECT_NO_COINS] and game.result.cospels==0):
					do_achievement(Achievements.ACH_COLLECT_NO_COINS)
					
				var ep = game.get_value("endless_played")
				ep+=1
				game.set_value("endless_played",ep)

				if (not a[Achievements.ACH_FIRST_LOSE_ENDLESS] and ep==1):
					do_achievement(Achievements.ACH_FIRST_LOSE_ENDLESS)
					
				if (not a[Achievements.ACH_LOSE_X_ENDLESS] and ep>=Achievements.lose_x_endless):
					do_achievement(Achievements.ACH_LOSE_X_ENDLESS)
				
			Flurry.log_event("PG_END_TRAINING",{"metres":m})

	if cl.type == "challenge":
		if cl.mode == "local":
			if (game.result.win):
				var cc = game.get_value("challenges_created")
				cc+=1
				var a = game.get_value("achievements")
				if (not a[Achievements.ACH_CREATE_CHALLENGE]):
					do_achievement(Achievements.ACH_CREATE_CHALLENGE)
				if (not a[Achievements.ACH_CREATE_X_CHALLENGES] and cc==Achievements.create_x_challenges):
					do_achievement(Achievements.ACH_CREATE_X_CHALLENGES)
					
				game.set_value("challenges_created",cc)
				
			get_node("editor").show()
		else:
			get_node("next").hide()
			if (game.result.win):
				get_node("next_challenge").show()
				var cs = game.get_value("challenges_solved")
				cs+=1
				var a = game.get_value("achievements")
				if (not a[Achievements.ACH_SOLVE_CHALLENGE]):
					do_achievement(Achievements.ACH_SOLVE_CHALLENGE)
				if (not a[Achievements.ACH_SOLVE_X_CHALLENGES] and cs==Achievements.solve_x_challenges):
					do_achievement(Achievements.ACH_CREATE_X_CHALLENGES)
					
				game.set_value("challenges_solved",cs)
		
									
	_process_dialog_queue()			
	game.save()
			

func _submit_score(score):
	if typeof(GameCenter) != typeof(null):
		GameCenter.post_score( { "score": score, "category": "endless" } )
	if typeof(Scoreloop) != typeof(null):
		Scoreloop.post_score( { "score": score, "mode": 0 } )


func send_challenge():
	if typeof(Scoreloop) == typeof(null):
		return

	var cl = Globals.get("current_level")
	if cl.type == "challenge":
		if cl.mode == "local":
			if game.result.win:
				print("posting challenge!")
				var level_str = Marshalls.variant_to_base64(cl.level)
				var ret = Scoreloop.post_challenge( { "score": 1, "mode": 0, "context": {"level": level_str} } )
				if ret == OK:
					get_node("anim").play("sending")
				else:
					get_node("anim").play("sending_done")
					get_node("/root/global").popup_dialog("Error","","Error sending challenge, try again later", null, null, "")


func next_pressed():
	if !Globals.has("current_level"):
		return

	var cl = Globals.get("current_level")
	if cl.type == "level":
		var ul = game.get_value("unlocked_level")
		if (ul==game.levels.size()):
			get_scene().call_group(0, "global", "change_scene", "res://screens/wingame.xml")		
		else: 
			gear_up_pressed()
			#Globals.set("current_level",{"type":"level","level":ul})
			#get_scene().call_group(0, "global", "change_scene", "res://match/match.xml")
			
	if cl.type == "challenge":
		if (game.result.win):
			send_challenge()
			pass
		else:
			get_scene().call_group(0, "global", "change_scene", "res://match/match.xml")
		
	if cl.type == "endless":
		get_scene().call_group(0, "global", "change_scene", "res://match/match.xml")
			
		

func retry_pressed():
	get_scene().call_group(0, "global", "change_scene", "res://match/match.xml")

func back_pressed():
	Globals.clear("current_level")
	get_scene().call_group(0, "global", "change_scene", "res://screens/main.xml")

func check_events():
	while Scoreloop.get_pending_event_count() > 0:
		var event = Scoreloop.pop_pending_event()
		printt("got event!", event.type, event.result)
		if event.type == "post_challenge":
			get_node("anim").play("sending_done")
			if event.result == "ok":
				get_node("/root/global").popup_dialog(tr("CHALLENGE"),"",tr("CHALLENGE_SENT"), null, self, "_on_editor_pressed")
			else:
				get_node("/root/global").popup_dialog("Error","","Error sending challenge, try again later", null, null, "")
			pass
		elif event.type == "submit_challenge_score":
			if event.won:
				#get_node("status").set_text("Challenge won!")
				pass
			else:
				pass
				#get_node("status").set_text("Challenge lost!")


func gear_up_pressed():
	print("gear up pressed!")
	gear_up = preload("res://screens/gear_up.xml").instance()
	hide()
	#get_scene().get_root().add_child(gear_up)
	get_parent().add_child(gear_up)
	camnode.queue_free()

func gear_up_done():
	print("gear up done!")
	#show()
	gear_up.queue_free()
	var ul = game.get_value("unlocked_level")
	Globals.set("current_level",{"type":"level","level":ul})
	get_scene().call_group(0, "global", "change_scene", "res://match/match.xml")

func gear_up_cancel():
	printt("gear up cancel!")
	show()
	gear_up.queue_free()
	back_pressed()


func init_scoreloop():
	if !Globals.has_singleton("Scoreloop"):
		return

	var timer = get_node("timer")
	timer.set_wait_time(1)
	timer.set_one_shot(false)
	timer.connect("timeout", self, "check_events")
	timer.start()

	Scoreloop = Globals.get_singleton("Scoreloop")
	if Globals.has("current_level"):
		var cl = Globals.get("current_level")
		if cl.type == "challenge":
			if cl.mode == "remote":
				print("winning challenge!")
				#get_node("status").set_text("Challenge completed!")
				Scoreloop.submit_challenge_score( { "score": 2, "id": cl.challenge_id } )


func _on_pause_timeout():
	activate2()



func _on_editor_pressed():
	get_scene().call_group(0, "global", "change_scene", "res://screens/challenge_create.xml")


func _compute():

	if (game.result.win or game.result.mode==game.MODE_ENDLESS):
		get_node("center/dialog/passes").set_number( game.result.passes )

		game.set_cospels( game.get_cospels() + game.result.coins )
		get_node("center/dialog/coins").set_number( game.get_cospels() )

	if (game.result.mode==game.MODE_ENDLESS):
			get_node("center/dialog/meters").set_number( int(game.result.meters) )


func _ready():
	get_node("next").connect("pressed", self, "next_pressed")
	get_node("back").connect("pressed", self, "back_pressed")
	game = get_scene().get_root().get_node("gamestate")

#	get_node("powerups").connect("pressed", self, "gear_up_pressed")
	var retry=false

	add_to_group("gear_up_actions")
	if (game.result.mode==game.MODE_LEVEL):
		if (game.result.win):
			get_node("center/dialog/title_base/center/title").set_text(tr("LEVEL_WIN"))
		else:
			get_node("center/dialog/title_base/center/title").set_text(tr("LEVEL_FAIL"))
			retry=true
		var cl = Globals.get("current_level")
		get_node("center/dialog/meters").set_text(tr("LEVEL")+" "+str(cl.level))
	elif (game.result.mode==game.MODE_ENDLESS):
		if (game.result.win):
			get_node("center/dialog/title_base/center/title").set_text(tr("TRAINING_WIN"))
		else:
			get_node("center/dialog/title_base/center/title").set_text(tr("TRAINING_FAIL"))
		get_node("center/dialog/meters").set_script( preload("res://screens/number.gd") )
		get_node("center/dialog/meters").force_number(0)
		retry=true
	elif (game.result.mode==game.MODE_CHALLENGE):
		if (game.result.win):
			get_node("center/dialog/title_base/center/title").set_text(tr("CHALLENGE_WIN"))
			get_node("next").set_normal_texture(preload("res://screens/debriefing/send_challenge.png"))
			get_node("next").set_pressed_texture(preload("res://screens/debriefing/send_challenge_pressed.png"))
		else:
			get_node("title_base/center/title").set_text(tr("CHALLENGE_FAIL"))
			retry=true
		get_node("center/dialog/meters").set_text( str(int(game.result.meters)) )

	get_node("center/dialog/coins").force_number( game.get_cospels() )
	get_node("center/dialog/passes").force_number(0)
	
	if(retry):
		get_node("next").set_normal_texture(preload("res://screens/debriefing/retry.png"))
		get_node("next").set_pressed_texture(preload("res://screens/debriefing/retry_pressed.png"))

	init_scoreloop()

	if Globals.has_singleton("GameCenter"):
		GameCenter = Globals.get_singleton("GameCenter")
		
	




func _on_next_challenge_pressed():
	get_scene().call_group(0, "global", "change_scene", "res://screens/challenge_select_players.xml")
	pass # replace with function body
